Bug 48041 - Impress FILEOPEN: diagram in pptx file looks wrong, vertical axis lines duplicated
Summary: Impress FILEOPEN: diagram in pptx file looks wrong, vertical axis lines dupli...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.4.0
Keywords: filter:pptx
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2012-03-29 03:33 UTC by sasha.libreoffice
Modified: 2019-06-04 09:38 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation with diagram and screenshot of itself (95.28 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2012-03-29 03:33 UTC, sasha.libreoffice
Details
Major interval setting in PP and Impress side by side (111.69 KB, image/png)
2019-05-16 12:55 UTC, Gabor Kelemen
Details
similar problem, solved by the proposed patch (13.57 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-06-03 07:21 UTC, László Németh
Details
similar problem, solved by the proposed patch (22.37 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-06-03 07:22 UTC, László Németh
Details
similar problem, the proposed patch has to solve it (22.37 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-06-04 06:07 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-03-29 03:33:44 UTC
Created attachment 59209 [details]
presentation with diagram and screenshot of itself

attached pptx file contains:
1. on first slide diagram, that opens in Impress with duplicated vertical lines and digits beneath them
2. on second slide is screenshot of first slide made in msPP 2007 on Windows XP
Reproduced in 3.3.4 and 3.5.1
Comment 1 bfoman (inactive) 2012-08-24 10:21:34 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 2 Jorendc 2013-12-29 14:41:53 UTC
Still reproducible using Version: 4.3.0.0.alpha0+
Build ID: 5be7ec4193b892e5643ff5f3f2e6755319569190
TinderBox: Win-x86@39, Branch:master, Time: 2013-12-27_23:55:02
Comment 3 A (Andy) 2015-03-26 20:09:04 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 4 tommy27 2016-04-16 07:26:12 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:22:08 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2018-10-27 18:36:46 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+
Build ID: 5d2ab49cbda1d7aea1019478abe0163e1f40a121
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today
Comment 7 Gabor Kelemen 2019-05-16 12:55:16 UTC
Created attachment 151455 [details]
Major interval setting in PP and Impress side by side

The number of major interval marks on the Y axis (the horizontal one, this is a bar chart) is double because the default major interval value is 0.5 in Impress and 1 in PowerPoint. 
The values appear twice due to rounding, so those are actually 0.5 ; 1; 1.5 ; 2 ... becoming 1 ; 1; 2 ; 2 ...

Setting the major interval to 1 in the Scale tab fixes the visual problem, also this survives the OOXML export.

This is related to bug #54460 where the Y axis major interval default value is also half of PowerPoints.
Comment 8 László Németh 2019-06-03 07:21:17 UTC
Created attachment 151862 [details]
similar problem, solved by the proposed patch
Comment 9 László Németh 2019-06-03 07:22:29 UTC
Created attachment 151863 [details]
similar problem, solved by the proposed patch
Comment 10 Commit Notification 2019-06-03 14:12:00 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7f373a4c88961348f35e4f990182628488878efe%5E%21

tdf#48041 Chart: do not duplicate major value

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 László Németh 2019-06-04 06:07:32 UTC
Created attachment 151894 [details]
similar problem, the proposed patch has to solve it
Comment 12 Commit Notification 2019-06-04 09:38:37 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a2554ac1f0173b0904032f4f8a70bb2231d0d934%5E%21

Related: tdf#48041 Chart: vertical value axis labels

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.